uniform sampler2D sceleton;
uniform sampler2D skin;
uniform sampler2D organ;
// camTo in bool umbauen und das Hauptprogramm rechnen lassen
//uniform vec4 camToMan;
//uniform vec4 camToOrgan;
uniform bool organNearer;
uniform vec2 cursorPos;

vec4 mixT(vec4 scelCol, vec4 skinCol)
{
   vec2	texPos = vec2(gl_FragCoord.x, -gl_FragCoord.y);
   float dist = distance(gl_FragCoord.xy, cursorPos);
   if(dist > 40)
      return skinCol;
   else if (dist < 30)
      return scelCol;
   else
      return scelCol*(1-(dist-25)/15) + skinCol*((dist-25)/15);
   
}

void main(void)
{
   	vec4 scelCol = texture2D(sceleton, gl_TexCoord[0].xy);
	vec4 skinCol = texture2D(skin, gl_TexCoord[0].xy);
	vec4 orgaCol = texture2D(organ, gl_TexCoord[0].xy);
	
	if(skinCol != vec4(0.0) && orgaCol != vec4(0.0))
	{
		if(organNearer)
			gl_FragColor = 0.8 * orgaCol + 0.2 * mixT(scelCol, skinCol);
		else
			gl_FragColor = 0.8 * orgaCol + 0.8 * mixT(scelCol, skinCol);
	}
	else if (skinCol != vec4(0.0))
		gl_FragColor = mixT(scelCol, skinCol);
	else
		gl_FragColor = orgaCol;
}

